#
#
BENCHNAME = iobench
BENCHFILES = iobench iouser

#
# Choose your compilers
#
#CC=cc
#

# Define GETTIMEOFDAY flag if BSD-style gettimeofday is supported.
#
GTOD = -DGETTIMEOFDAY
#GTOD =

#
# Define USE_FSYNC if fsync system call is supported
#
USE_FSYNC = -DUSE_FSYNC
#USE_FSYNC =

#
# This makes sure that csh or ksh users don't invoke the wrong shell.
# for portability, all of the shell commands are Bourne shell.
SHELL = /bin/sh

# Vendor makefile wrappers can override these.
# LIBS is required so you can specify default additional
# libraries for compilation.  EXTRA_LIBS is used for vendor specific
# default libraries.  A vendor wrapper may need to overwrite LIBS for
# some special circumstances (termlib vs. termio).
OPT = -O
OBJ=o
OBJOPT=-c
LIBS = -lm

STD_CFLAGS =  ${GTOD} ${USE_FSYNC}

#!!!these should "never" be changed !!!
#!!!(vendor makefile wrappers depend on them) !!!
CFLAGS= ${STD_CFLAGS} ${OPT}
CFLAGS2 = ${CFLAGS} -DCFLAGS='"${CFLAGS}"' -DCOMPDATE="\"`date`\""


# Provide a list of the object modules which are required to link the
# executable.

OBJS = iosubs.${OBJ} unix_subs.${OBJ} iolocks.${OBJ} unix_tod.${OBJ} \
       ioexterns.${OBJ}

MOBJS = iobench.${OBJ} ioversion.${OBJ} ioparams.${OBJ} ioflush.${OBJ}
 
UOBJS = iouser.${OBJ} iorandom.${OBJ}

# Make sure that you specify the correct compiler for linking!!!

LINKCOMPILER = ${CC}

compile: ${BENCHFILES}

iobench: ${MOBJS} ${OBJS}
	${LINKCOMPILER} ${LDFLAGS} -o iobench ${MOBJS}  ${OBJS} ${LIBS} ${EXTRA_LIBS}

iouser: ${UOBJS} ${OBJS}
	${LINKCOMPILER} ${LDFLAGS} -o iouser ${UOBJS}  ${OBJS} ${LIBS} ${EXTRA_LIBS}

clean:
	-rm -rf ${OBJS} ${MOBJS} ${UOBJS} ${SOBJS} core ${RESULTDIR}

clobber:	clean
	-rm -rf ${BENCHFILES} ctags *.size.${MACHID}

# To simplify the makefile, ALL objects are dependent on ALL header files.
# Note: i386locks.h and mipslocks.h are needed only if REALLOCK is defined,
# which won't be the case for SPEC runs.

HFILES = iodefaults.h ioincl.h iolocks.h iomessages.h ioserver.h ionumbers.h

${MOBJS}: ${HFILES} 
${UOBJS}: ${HFILES}
${OBJS}: ${HFILES}

ioversion.${OBJ}:	${OBJS} Makefile
	${CC} ${CFLAGS2} ${OBJOPT} ioversion.c

CFILES = ioexterns.c iobench.c iosubs.c iorandom.c ioversion.c unix_tod.c iolocks.c \
	 iouser.c unix_subs.c ioflush.c ioparams.c

MISCFILES = manifest README iobench.out c-test t-test Makefile M.* iobench.in

shar:
	shar -c ${MISCFILES} ${HFILES} ${CFILES} >iobench.shar

