#				SSBA 2.0F
#
# Makefile : mips.mk
#
#############################################################################
SHELL=/bin/sh

.PRECIOUS:	run
.IGNORE:	

PRINTER	=	lp
PRINTOPT=	-l66
PAGER	=	more

NAME	=	mips
README	=	${NAME}.doc ${NAME}.files
MAKEFILE=	${NAME}.mk
CONFIG	=	${NAME}.cf
RUN	=	${NAME}.run
DONE	=	${NAME}.done
AWK	=	${NAME}.awk
LOG	=	${NAME}.log
RES	=	${NAME}.res
RESTMP	=	${NAME}tmp
SYN	=	${NAME}.syn
TMP	=	${NAME}.tmp ${NAME}.tim
TAR	=	${NAME}.tar
SHAR	=	${NAME}.shar
BANNER	=	${NAME}.ban
SSBALOG	=	../results/ssba.log
NUL	=	1>/dev/null 2>&1
ARCHIVES=	$(TAR) $(SHAR)
VOLATILE=	$(LOG) $(RES) $(SYN) $(TMP) $(ARCHIVES) core $(DONE) $(RESTMP)
SCRIPTS	=	$(MAKEFILE) $(CONFIG) $(RUN) $(AWK)
FILES	=	$(BANNER) $(README) $(SCRIPTS)

conf:
		@chmod u+x $(CONFIG)
		@./$(CONFIG)
run:
		@./$(RUN)
clean:
		@rm -f $(VOLATILE) $(NUL)
readme:
		@$(PAGER) $(README)
print:
		@pr $(PRINTOPT) -h $(NAME) $(SCRIPTS) | $(PRINTER)
printall:
		@pr $(PRINTOPT) -h $(NAME) $(FILES) | $(PRINTER)
tar:
		@tar cf $(TAR) $(FILES)
shar:
		@shar $(FILES) > $(SHAR)
force:

$(BANNER):
		@banner $(NAME) >$@
