#				SSBA 2.0F
#
# Makefile : outils.mk
#
#############################################################################
SHELL=/bin/sh

.PRECIOUS:	run
.IGNORE:	

PRINTER	=	lp
PRINTOPT=	-l66
PAGER	=	more
COMPILER=	cc
LOCALOPT=	-O
FLOPT=		

CFLAGS	=	$(LOCALOPT) $(FLOPT)
CC	=	$(COMPILER) $(CFLAGS)

NAME	=	outils
README	=	${NAME}.doc ${NAME}.files
MAKEFILE=	${NAME}.mk
CONFIG	=	${NAME}.cf
RUN	=	${NAME}.run
LOG	=	${NAME}.log
RES	=	${NAME}.res
KILL	=	${NAME}.kill
TAR	=	${NAME}.tar
AWK	=	${NAME}.awk
SHAR 	=	${NAME}.shar
BANNER 	=	${NAME}.ban
SSBALOG	=	../results/ssba.log
NUL	=	1>/dev/null 2>&1
DATAS	=	diff1 words yaccinput lexicalinput symtab.h lexdefs.h\
		fixstrings.h defs.h p1defs.h
OBJECTS	=	diff2 diff3 diff4 y.tab.c lex.yy.c ../../tmp/star \
		../../tmp/star.Z
ARCHIVES=	$(TAR) $(SHAR)
VOLATILE=	$(JOU) $(LOG) $(RES) $(KILL) $(OBJECTS) $(ARCHIVES) core
SCRIPTS =	$(MAKEFILE) $(CONFIG) $(RUN) $(AWK) fastformatter
FILES	=	$(BANNER) $(README) $(SCRIPTS)

conf:
		@chmod u+x $(CONFIG)
		@./$(CONFIG)
run:	
		@./$(RUN)
clean:
		@rm -f $(VOLATILE) $(NUL)
readme:
		@$(PAGER) $(README)
print:
		@pr $(PRINTOPT) -h $(NAME) $(SCRIPTS) | $(PRINTER)
printall:
		@pr $(PRINTOPT) -h $(NAME) $(FILES) | $(PRINTER)
tar:
		@tar cf $(TAR) $(FILES) $(DATAS)
shar:
		@shar $(FILES) $(DATAS) > $(SHAR)
force:

$(BANNER):
		@banner $(NAME) >$@
