#				SSBA 2.0F
#
# Makefile : saxer.mk
#
##############################################################################
SHELL=/bin/sh

.PRECIOUS:	run
.IGNORE:	

PRINTER	=	lp
PRINTOPT=	-l66
PAGER	=	more
COMPILER=	cc
LOCALOPT=	-O
FLOPT=		
SYSTEM	=	-DVMUNIX -DBSD4v3 -DBSD4v2

CFLAGS	=	$(LOCALOPT) 
CC	=	$(COMPILER) $(CFLAGS)

NAME	=	saxer
README	=	${NAME}.doc ${NAME}.files
MAKEFILE=	${NAME}.mk
CONFIG	=	${NAME}.cf
RUN	=	${NAME}.run
SCRATCH	=	${NAME}.dat
LOG	=	${NAME}.log
AWK	=	${NAME}.awk
RES	=	${NAME}.res
JOU	=	${NAME}.jou
KILL	=	${NAME}.kill
TAR	=	${NAME}.tar
SHAR 	=	${NAME}.shar
BANNER 	=	${NAME}.ban
DATA	=	${NAME}.disk sa.dd
SSBALOG	=	../results/ssba.log
SSBASIZE=	../results/ssba.size
TRACE	=	1>>$(JOU) 2>&1
NUL	=	1>/dev/null 2>&1
ARCHIVES=	$(TAR) $(SHAR)
VOLATILE=	$(JOU) $(LOG) $(RES) $(KILL) $(DATA) $(SCRATCH) $(OBJECTS)\
		$(TARGETS) $(ARCHIVES) core
SCRIPTS =	$(MAKEFILE) $(CONFIG) $(RUN) $(AWK)
SOURCES	=	${NAME}1.c ${NAME}2.c ${NAME}3.c ${NAME}4.c ${NAME}5.c\
		${NAME}6.c ${NAME}7.c ${NAME}8.c
OBJECTS	=	${NAME}1.o ${NAME}2.o ${NAME}3.o ${NAME}4.o ${NAME}5.o\
		${NAME}6.o ${NAME}7.o
TARGETS	=	${NAME}main ${NAME}work ${NAME}nowork ${NAME}create\
		${NAME}write ${NAME}read ${NAME}random ${NAME}pipe1\
		${NAME}pipe2 ${NAME}disk
FILES	=	$(BANNER) $(README) $(SCRIPTS) $(SOURCES)

conf:
		@chmod u+x $(CONFIG)
		@./$(CONFIG)
run:
		@./$(RUN)
sizes:
		@ls -l $(TARGETS) | tee -a $(SSBASIZE)
clean:
		@rm -f $(VOLATILE) $(NUL)
readme:
		@$(PAGER) $(README)
print:
		@pr $(PRINTOPT) -h $(NAME) $(SCRIPTS) | $(PRINTER)
printall:
		@pr $(PRINTOPT) -h $(NAME) $(FILES) | $(PRINTER)
tar:
		@tar cf $(TAR) $(FILES)
shar:
		@shar $(FILES) > $(SHAR)
force:

$(BANNER):
		@banner $(NAME) >$@
