/* 
 * getpid.c --
 *
 *	This file is a benchmark program to measure the cost of a
 *	minimal kernel call (getpid).  It should be invoked as follows:
 *	
 *	getpid count
 *
 *	Where count is the number of calls to make.  It makes that
 *	many calls, then prints out the average time per call.
 *
 * Copyright 1989 Regents of the University of California
 * Permission to use, copy, modify, and distribute this
 * software and its documentation for any purpose and without
 * fee is hereby granted, provided that the above copyright
 * notice appear in all copies.  The University of California
 * makes no representations about the suitability of this
 * software for any purpose.  It is provided "as is" without
 * express or implied warranty.
 */

#include <stdio.h>

main(argc, argv)
    int argc;
    char **argv;
{
    int count, i;

    if (argc != 2) {
	fprintf(stderr, "Usage: getpid count\n");
	exit(1);
    }

    count = atoi(argv[1]);
    for (i = 0; i < count; i++) {
        (void) getpid();
    }
}
