/* 
 * opcl.c --
 *
 *	This program is a stand-alone benchmark that measures
 *	the cost of opening and closing a file.
 *
 *	opcl fileName count
 *
 *	where "fileName" is the name of the file to open and
 *	close and "count" tells how many open/close pairs to
 *	execute.
 *
 * Copyright 1989 Regents of the University of California.
 * Permission to use, copy, modify, and distribute this
 * software and its documentation for any purpose and without
 * fee is hereby granted, provided that the above copyright
 * notice appear in all copies.  The University of California
 * makes no representations about the suitability of this
 * software for any purpose.  It is provided "as is" without
 * express or implied warranty.
 */


#include <stdio.h>
#include <sys/file.h>

main(argc, argv)
int argc;
char **argv;
{
    int repeats, fd, count;

    if (argc != 3) {
	fprintf(stderr, "Usage:  %s fileName count\n",
		argv[0]);
	exit(1);
    }
    repeats = atoi(argv[2]);

    for (count = 0 ; count < repeats; count++) {
	fd = open(argv[1], O_RDONLY, 0);
	if (fd < 0) {
	    fprintf(stderr, "Couldn't open %s.\n", argv[1]);
	    exit(1);
	}
	if (close(fd) != 0) {
	    fprintf(stderr, "Error closing %s.\n",
		    argv[1]);
	    exit(1);
	}
    }
}
