/*********************************************************************
*
* Name        : timing.h
*
* Version     : 1.1
*
* Description : Common Standard Portable Timing Routine.
*
* Written  by : Brad B. Nichols
*
* e-mail      : mach@cs.wpi.edu
*
* Address     : Mach Research Group
*               Worcester Polytechnic Institute
*               Computer Science Department
*               100 Institute Road,
*               Worcester MA 01609.
*               U.S.A
*               (508) 831-5357
* Rev History : Originally developed by Bradford Nichols,
*               late modified to make it in an include file,
*               Sep 1990.
*                 
************************************************************************/
/*********************** SELECT TIMING METHOD ***********************/
/*                            systems
    timing          MACH 2.5    MACH 3.0   SCO V.3   SYS V.4
    ---------------------------------------------------------
    gettimeofday        X          X                    X
    getrusage           X          X                    
    ftime               X          X          X
    time                X          X          X         X
    times               X          X          X         X
    clock                                     X         X
*/

/*****************************************************************/


/************* DEFINE TIMING PARAMETERS AND INCLUDES *************/
#ifdef VMUNIX  
#include <sys/time.h>      
#include <sys/resource.h>  
  struct rusage   rusage_start, rusage_end;
  double          rusage_utime, rusage_stime;
  int             rusage_udiff, rusage_sdiff;
#endif
#ifdef SysV
#include <sys/times.h>    
#include "../install/hz.h"        
  struct tms      times_start, times_end;
  unsigned long            times_utime, times_stime;
  int             times_udiff, times_sdiff;
#endif 
#ifdef CLOCK
  unsigned long            clock_start, clock_end;
  int             clock_diff;
#endif
